#
# spec file for package kernel-docs (Version 2.6.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  docbook-dsssl-stylesheets docbook-toys docbook-utils docbook_3 docbook_4 ghostscript-mini iso_ent jadetex kernel-source libjpeg libpng libxml2 openjade opensp perl-SGMLS sgml-skel te_latex te_pdf tetex transfig x-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils docbook-dsssl-stylesheets docbook-toys docbook-utils docbook_3 docbook_4 expat fontconfig fontconfig-devel gcc gdbm gettext ghostscript-mini iso_ent jadetex kernel-source libjpeg libpng libtool libxml2 openjade opensp perl perl-SGMLS rpm sgml-skel te_ams te_latex te_pdf tetex transfig

Name:           kernel-docs
License:        GPL
Group:          Documentation/Man
Autoreqprov:    on
Version:        2.6.5
Release:        7.276
Summary:        Additional Package Documentation.
Source1:        texmf.cnf
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These are the pdf documents and man pages (section 9) built from the
current kernel sources.



%prep
rm -rf linux
cp -a /usr/src/linux* .
%setup -n linux -T -D
touch drivers/parport/init.c

%build
# use texmf.cnf from local source
export TEXMFCNF=$RPM_SOURCE_DIR
export LANG=en_US
make mandocs
make pdfdocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_mandir}/man9
cp -a Documentation/DocBook/man/*.9* $RPM_BUILD_ROOT/%{_mandir}/man9
install -d $RPM_BUILD_ROOT/usr/share/doc/kernel
cp -a Documentation/DocBook/*.pdf $RPM_BUILD_ROOT/usr/share/doc/kernel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CREDITS MAINTAINERS README REPORTING-BUGS
%{_mandir}/man9/*
%docdir /usr/share/doc/kernel
/usr/share/doc/kernel

%changelog -n kernel-docs
* Tue Mar 09 2004 - ro@suse.de
- make it build
* Tue Jan 27 2004 - ro@suse.de
- extended neededforbuild
* Tue Jan 27 2004 - ro@suse.de
- remove patch hacks
* Mon Oct 20 2003 - ro@suse.de
- use defattr
- don't build as root
* Thu Sep 18 2003 - kukuk@suse.de
- Fix version and release number [Bug #31262]
* Tue Sep 16 2003 - ro@suse.de
- fix build with libata
* Wed May 21 2003 - coolo@suse.de
- use %%doc
* Fri Nov 29 2002 - ro@suse.de
- fix build of kernel-api.pdf by using a blown-up texmf.cnf
* Fri Nov 29 2002 - ro@suse.de
- created package (with version 2.4.19)
